"""add failed email template

Revision ID: e451d7ac9de1
Revises: aa5e540c480e
Create Date: 2021-05-13 10:49:18.951743

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "e451d7ac9de1"
down_revision = "aa5e540c480e"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
        INSERT INTO notification_templates (name, description, template)
        VALUES ('failed_email', 'A basic email template for notifying a user that their capability request has failed.',
        'Subject: NRAO Workspaces Request #{{request_id}}: Failed


    Dear User,

    Thank you for using NRAO Workspaces.

    Your {{capability_name}} request #{{request_id}} has failed.

    Best regards,
    NRAO Workspaces')
        """
    )


def downgrade():
    op.execute(
        """
        DELETE FROM notification_templates WHERE name='failed_email'
        """
    )
